-rw-r--r-- | delta.jscad | 30 |
1 files changed, 27 insertions, 3 deletions
diff --git a/delta.jscad b/delta.jscad index baa977d..547b51e 100644 --- a/delta.jscad +++ b/delta.jscad @@ -1,35 +1,38 @@ var PRINT = { layer_height: 0.2, extrusion_width: 0.4, fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6 }; var CONFIG = { - side: { + extrusion: { + w: 20 + }, + base: { el: 240, // side extrusion length - tl: 240+2*70, // triangle side length + sl: 240+2*70, // triangle side length gap: 9 // vertical gap between side extrusions }, column: { h: 600 // column height }, heatbed: { r: 220/2, // heatbed radius sr: 220/2-4.5, // radius of the screwholes circle h: 3+1.5 // thickness (including insulation) }, glass: { r: 195/2, // glass radius h: 3 // glass thickness }, hotend: { h: 62.4, // full assembly height groove: { d:12, h:6 }, // grove diameter and height ungroove: { d:16, above:3.7, below: 3+4 } }, effector: { h: 6, o: 20, // offset to the rod mounts line rods_apart: 40, cone: { shell: 1, angle: Math.PI/6 }, @@ -49,49 +52,70 @@ var CONFIG = { d: 3, margin: 2.5, split: 0.6 }, mswitch: { size: [ 19.8, 6, 10 ], screw: { d: 2, h: 10/2-2, s: 1.3, // screw shell o: [-9.5/2,9.5/2].map(function(x) { return -19.8/2+x; }) }, switch_x: 2.5 }, guide: { width: 3, height: 5+1, length: 6 }, fanholder: { r: 30, screw: { d: 3, m: 2.5/*margin*/ }, w: 3 } }, - nut: { h: 2.3, w: 5.5 } + nut: { h: 2.3, w: 5.5 }, + color: { + extrusion: [0.8, 0.8, 0.8, 0.8] + } +}; + +var CD = { + base: (function(){ + var rv = {}; + rv.circumscription_r = + CONFIG.base.sl/2/Math.cos(Math.PI/6); + rv.outer_inscription_r = + Math.sqrt(Math.pow(rv.circumscription_r,2)- + Math.pow(CONFIG.base.sl/2,2)); + rv.mid_inscription_r = + rv.outer_inscription_r-CONFIG.extrusion.w/2; + rv.inner_inscription_r = + rv.outer_inscription_r-CONFIG.extrusion.w/2; + // TODO: properly calculate + rv.column_r = rv.circumscription_r - 48.29; + return rv; + })() }; var U = { hypotenuse: function(a,b) { return Math.sqrt(Math.pow(a,2)+Math.pow(b,2)); }, peek: function(x,m) { console.log(x,m); return x; } }; /* {h:,w:} */ function nut(o) { var rv = CSG.cylinder({ start:[0,0,0],end:[0,0,o.h], radius: o.w/2/Math.cos(Math.PI/6), resolution: 6 }); rv.properties.axis_connector = new CSG.Connector([0,0,0],[0,0,1],[0,1,0]); return rv; } var E3DV6 = { |